juzu

## Class Response.Body

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Status
    - - juzu.Response.Body

- Direct Known Subclasses:
    Response.Content
  Enclosing class:
    Response

      public static class Response.Body
      extends Response.Status

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Action, Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Render, Response.Status, Response.View`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()`
    `String` | `getMimeType()`
    `Streamable` | `getStreamable()`
    `Response.Body` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
    `<T> Response.Body` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
    `Response.Body` | `withCharset(Charset charset)`
    `Response.Body` | `withHeader(String name, String... value)`
    `Response.Body` | `withMimeType(String mimeType)`
    `Response.Body` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
    `<T> Response.Body` | `without(PropertyType<T> propertyType)` Removes a property.

    - ### Methods inherited from class juzu.Response.Status

      `body, body, body, body, content, content, content, content, getCode`

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStreamable

          public Streamable getStreamable()

    - #### getMimeType

          public String getMimeType()

    - #### getCharset

          public Charset getCharset()

    - #### withCharset

          public Response.Body withCharset(Charset charset)

    - #### withMimeType

          public Response.Body withMimeType(String mimeType)

    - #### withHeader

          public Response.Body withHeader(String name,
                                 String... value)

      Overrides:
        `withHeader` in class `Response`

    - #### with

          public <T> Response.Body with(PropertyType<T> propertyType,
                               T propertyValue)
                             throws NullPointerException

      Description copied from class: `Response`
      Set a property, if the value is null, the property is removed.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Throws:
        `NullPointerException` - if the property type is null

    - #### without

          public <T> Response.Body without(PropertyType<T> propertyType)
                                throws NullPointerException

      Description copied from class: `Response`
      Removes a property.
      Overrides:
        `without` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public Response.Body with(PropertyType<Boolean> propertyType)
                             throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to true.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### withNo

          public Response.Body withNo(PropertyType<Boolean> propertyType)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to false.
      Overrides:
        `withNo` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

Copyright © 2013 eXo Platform SAS. All Rights Reserved.